HomeProduct DocsAPI ReferenceChangelog
RecurlyAPI GuidesRecurly.jsWebhooksAPI ReferenceSupportBook demo
API Reference

Redeem Coupon on Account

Redeem a coupon on an existing customer's account to apply to their next invoice.

If you want the coupon redemption to be rejected if a subscription signup fails, you must redeem the coupon within the Create Subscription call, not in the Redeem on Account call.

Redeeming Multiple Coupons

If you have Multiple Coupons Per Account enabled in Coupon Settings, you can have multiple active redemptions on an account. Call this redeem endpoint multiple times to redeem more than one coupon.

Maxed Out Error

If a coupon can only be redeemed on an account a specific number of times and you have already redeemed the coupon that number of times on the account, you will see a maxed out error letting you know the coupon can no longer be redeemed on the account.

<errors>
    <error field="coupon.base" symbol="maxed_out_for_account">Coupon has reached max redemptions for this account</error>
</errors>

The only way you would be able to redeem this coupon again on the account would be to update the main coupon campaign to allow more redemptions per account.

Subscription-Level Redemption

If the coupon is subscription-level, meaning it has a redemption_resource of "subscription", you must specify the subscription_uuid of an existing subscription on the account that you want to tie the redemption to. Otherwise you will get this error:

<errors>
    <error field="coupon.subscription" symbol="must_be_present">must be redeemed on a subscription</error>
</errors>

If the subscription_uuid you provide is for a subscription with a plan not eligible for the coupon, you will see this error:

<errors>
    <error field="coupon.subscription_uuid" symbol="not_valid_for_redemption">not valid for this coupon</error>
</errors>
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

Unique code to identify and redeem the coupon.

Body Params
integer
required

Account code to apply redemption

string
required

Currency for the redemption.

string

If the coupon has a redemption_resource of subscription, you will need to specify the uuid of an existing subscription on the account, which you want to tie the redemption to.

Responses

Language
Credentials
Basic
base64
:
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/xml